<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11) on Fri Jul 03 01:46:42 IDT 2020 -->
<title>All Classes</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-07-03">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="All Classes";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":2,"i1":2,"i2":2,"i3":2,"i4":2,"i5":2,"i6":1,"i7":2,"i8":2,"i9":2,"i10":2,"i11":2,"i12":2,"i13":2,"i14":2,"i15":32};
var tabs = {65535:["t0","All Classes"],1:["t1","Interface Summary"],2:["t2","Class Summary"],32:["t6","Annotation Types Summary"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="allClassesContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary">
<caption><span id="t0" class="activeTableTab"><span>All Classes</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Interface Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Class Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Annotation Types Summary</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><a href="com/hadassah/demo/beans/AuthorizeSessionLogin.html" title="class in com.hadassah.demo.beans">AuthorizeSessionLogin</a></td>
<th class="colLast" scope="row">
<div class="block">session level bean to check globally if logged in</div>
</th>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><a href="com/hadassah/demo/RestApi/DeleteHistory.html" title="class in com.hadassah.demo.RestApi">DeleteHistory</a></td>
<th class="colLast" scope="row">
<div class="block">The only restApi as the targil requirements wanted us to do only a single fetch.</div>
</th>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><a href="com/hadassah/demo/DemoApplication.html" title="class in com.hadassah.demo">DemoApplication</a></td>
<th class="colLast" scope="row">
<div class="block">the main class for the application</div>
</th>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><a href="com/hadassah/demo/DemoApplicationTests.html" title="class in com.hadassah.demo">DemoApplicationTests</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><a href="com/hadassah/demo/controllers/GitHubSearchController.html" title="class in com.hadassah.demo.controllers">GitHubSearchController</a></td>
<th class="colLast" scope="row">
<div class="block">Controller that handles search operations</div>
</th>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><a href="com/hadassah/demo/repos/GitHubUser.html" title="class in com.hadassah.demo.repos">GitHubUser</a></td>
<th class="colLast" scope="row">
<div class="block">The Github user entity that goes into the db.</div>
</th>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><a href="com/hadassah/demo/repos/GitHubUserRepo.html" title="interface in com.hadassah.demo.repos">GitHubUserRepo</a></td>
<th class="colLast" scope="row">
<div class="block">will give us access to the ex3 DB and allow us to handle <a href="com/hadassah/demo/repos/GitHubUser.html" title="class in com.hadassah.demo.repos"><code>GitHubUser</code></a> objects within it.</div>
</th>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><a href="com/hadassah/demo/controllers/HistoryController.html" title="class in com.hadassah.demo.controllers">HistoryController</a></td>
<th class="colLast" scope="row">
<div class="block">Controller that handles history get requests</div>
</th>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><a href="com/hadassah/demo/controllers/LogInController.html" title="class in com.hadassah.demo.controllers">LogInController</a></td>
<th class="colLast" scope="row">
<div class="block">Controller that handles login and logout requests</div>
</th>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><a href="com/hadassah/demo/beans/LoginForm.html" title="class in com.hadassah.demo.beans">LoginForm</a></td>
<th class="colLast" scope="row">
<div class="block">A login form bean,
 this is received from the form and is validated through constraints
 including custom constraint <a href="com/hadassah/demo/validators/ValidLogin.html" title="annotation in com.hadassah.demo.validators"><code>ValidLogin</code></a></div>
</th>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><a href="com/hadassah/demo/filters/LoginInterceptor.html" title="class in com.hadassah.demo.filters">LoginInterceptor</a></td>
<th class="colLast" scope="row">
<div class="block">this class intercepts all requests and displays statistics: request processing duration
 look also at the MyConfig class that registers the filter and define the specific URL pattern to
 catch.</div>
</th>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><a href="com/hadassah/demo/validators/LoginValidator.html" title="class in com.hadassah.demo.validators">LoginValidator</a></td>
<th class="colLast" scope="row">
<div class="block">implements <code>ConstraintValidator</code> and validates <a href="com/hadassah/demo/beans/LoginForm.html" title="class in com.hadassah.demo.beans"><code>LoginForm</code></a> using the <a href="com/hadassah/demo/validators/ValidLogin.html" title="annotation in com.hadassah.demo.validators"><code>ValidLogin</code></a> constraint</div>
</th>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><a href="com/hadassah/demo/MyConfig.html" title="class in com.hadassah.demo">MyConfig</a></td>
<th class="colLast" scope="row">
<div class="block">this is a class for configuring SringMVC
  here we register our interceptor class and the session listener
  WebMvcConfigurer allows configuring all of the MVC:</div>
</th>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><a href="com/hadassah/demo/controllers/MyErrorController.html" title="class in com.hadassah.demo.controllers">MyErrorController</a></td>
<th class="colLast" scope="row">
<div class="block">this controller handles all exceptions/errors and displays a friendly
  error page/

  for example try the URL:
            http://localhost:8080/delete/456

  where 456 is an ID that does not exist in the database</div>
</th>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><a href="com/hadassah/demo/ResponseObject.html" title="class in com.hadassah.demo">ResponseObject</a></td>
<th class="colLast" scope="row">
<div class="block">A simple object that will be used to return from RestApi's
 This is a good practice for api interface to return a status code as well as message</div>
</th>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><a href="com/hadassah/demo/validators/ValidLogin.html" title="annotation in com.hadassah.demo.validators">ValidLogin</a></td>
<th class="colLast" scope="row">
<div class="block">An interface for checking login validity.</div>
</th>
</tr>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
